## dde-calendar 5.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde-calendar)

# set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    # generate desktop
    execute_process(COMMAND bash "translate_desktop.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

add_subdirectory("src")

#qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/dde-calendar/translations)

#desktop
install(FILES dde-calendar.desktop DESTINATION share/applications)

#service
install(FILES com.deepin.Calendar.service DESTINATION share/dbus-1/services)

#icon
install(FILES src/resources/icon/dde-calendar.svg DESTINATION share/icons/hicolor/scalable/apps/)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(BIN_NAME dde-calendar)

configure_file(environments.h.in environments.h @ONLY)

set(SRCS
./environments.h
./weekindicator.h
./spinner.h
./calendarwindow.h
./infoview.h
./calendardbus.h
./dbuscalendar_adaptor.h
./calendarview.h
./constants.h
./weekindicator.cpp
./spinner.cpp
./infoview.cpp
./calendardbus.cpp
./calendarview.cpp
./main.cpp
./dbuscalendar_adaptor.cpp
./calendarwindow.cpp
)

set(QRC
./resources.qrc
)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)

add_executable(${BIN_NAME} ${SRCS} ${QRC})
target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

# bin
install(TARGETS ${BIN_NAME} DESTINATION bin)

## dde-calendar 1.2.2

=== debian/changelog ===
dde-calendar (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix date refreshing issue.
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * d/rules: Use "dh-missing --fail-missing".
  * d/copyright: Fix typos.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:04:32 +0800

dde-calendar (1.2.2-1) unstable; urgency=medium

  * New release.
  * Some Bug Fixes
  * d/rules: use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog.
  * d/control: Use Salsa platform for Vcs field.
  * debian/control: Update Standers-Version to 4.1.3.
  * debian/compat: Switch compat to level 11.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 30 Mar 2018 10:57:34 +0800

dde-calendar (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Set build architecture as linux-any.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 12 Dec 2017 09:56:27 +0800

dde-calendar (1.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #871981)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 07 Dec 2017 15:19:48 +0800

=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 deepin-gettext-tools,
 libdtkwidget-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/dde-calendar
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

Package: dde-calendar
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-api,
Description: Deepin Calendar
 Deepin Calendar is an easy calendar tool developed by Deepin Technology, main
 features current date, solar terms, lunar calendar and world holidays.
 .
 This package is part of DDE (Deepin Desktop Environment).

## dde-calendar 1.2.5

=== debian/changelog ===
dde-calendar (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Bump Standards-Version to 4.2.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 09 Aug 2018 10:06:58 +0800

dde-calendar (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 01 Aug 2018 09:52:35 +0800

dde-calendar (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Use pkg-deepin-devel@lists.alioth.debian.org in maintainer
    field.
  * d/patches: Drop patches, applied by upstream.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 26 May 2018 10:56:44 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dde-calendar
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -13,7 +13,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

## dde-calendar 1.2.6

=== debian/changelog ===
dde-calendar (1.2.6-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.2.6.
  * Rebuild for Debian Buster.
    + Fix crashing when starting up the program.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Jan 2019 09:26:38 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  deepin-gettext-tools,
  libdtkwidget-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

## dde-calendar 5.0.1

=== debian/changelog ===
dde-calendar (5.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:23 +0100

dde-calendar (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.1.
  * debian/control:
    + Switch buildsystem from qmake to cmake (>= 3.7).

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Dec 2019 14:49:00 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  debhelper-compat (= 12),
+ cmake (>= 3.7),
  deepin-gettext-tools,
  libdtkwidget-dev,
  pkg-config,
- qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION)"

override_dh_missing:
	dh_missing --fail-missing

## dde-calendar 5.7.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "dde-calendar")
set(APP_TRANS_SCRIPT "${APP_RES_DIR}/translate_generation.sh")
set(APP_DESKTOP "${APP_RES_DIR}/dde-calendar.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")
set(APP_SERVICE "${APP_RES_DIR}/dbus/com.deepin.Calendar.service")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#Generate the qm file
execute_process(COMMAND bash ${APP_TRANS_SCRIPT}
                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/")

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Calendar_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DFrameworkdbus REQUIRED)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${Calendar_SRC} ${APP_QRC})

target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${PROJECT_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS dde-calendar DESTINATION bin)

file(GLOB APP_QM_FILES "translations/*.qm")

#install(FILES /usr/share/icons/bloom/apps/96/dde-calendar.svg
#        DESTINATION /share/icons/hicolor/scalable/apps/)
install(FILES ${APP_QM_FILES} DESTINATION share/dde-calendar/translations)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)

=== debian/changelog ===
dde-calendar (5.7.0.4-1) unstable; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.7.0.4.
    + Add Clay Stan to uploaders list.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Add Arun Kumar Pariyar to Uploaders.
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Update Build-Depends and tighten version for libdtkwidget-dev
      to (>=5.2~) and libdframeworkdbus-dev to (>=5.2.0~).
  * debian/rules: Ensure proper build and drop LDFLAGS.
  * debian/patches:
    + Add 0001-fix-qt5-14-incompatibility-issue patch file.
    + Add 0002-fix-desktop-entry-lacks-keywords-entry patch file.
  * debian/upstream: Set upstream metadata fields.
  * debian/copyright: Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sat, 05 Dec 2020 22:03:58 +0545

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,21 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Clay Stan <claystan97@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
  cmake (>= 3.7),
+ debhelper-compat (= 13),
  deepin-gettext-tools,
- libdtkwidget-dev,
+ libdframeworkdbus-dev (>=5.2.0~),
+ libdtkgui-dev,
+ libdtkwidget-dev (>=5.2~),
+ libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export QT_SELECT := 5
 
@@ -19,7 +17,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION)"
+	dh_auto_configure -- VERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"
 
 override_dh_missing:
 	dh_missing --fail-missing

## dde-calendar 5.7.0.23

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,14 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
+set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
+set(CMAKE_EXE_LINKER_FLAGS "-pie")
+
 
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
+elseif (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
 endif ()
 
 #compile flags
@@ -107,3 +111,4 @@
 install(FILES ${APP_QM_FILES} DESTINATION share/dde-calendar/translations)
 install(FILES ${APP_DESKTOP} DESTINATION share/applications)
 install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)
+add_subdirectory(schedule-plugin)

=== schedule-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "uosschedulex-plugin")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()
add_definitions("-DSCHEDULEPLUGIN_LIBRARY")
add_definitions("-DQT_DEPRECATED_WARNINGS")
#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Schedule_Plugin_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(DFrameworkdbus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)


include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the lib
add_library(${PROJECT_NAME} SHARED ${Schedule_Plugin_SRC} ${APP_QRC} src/interface/service.h)

target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${PROJECT_NAME}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION /usr/lib/deepin-aiassistant/serivce-plugins)

=== debian/changelog ===
dde-calendar (5.7.0.23-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Nov 2021 15:57:52 -0500

dde-calendar (5.7.0.23-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Clay Stan ]
  * New upstream release 5.7.0.23.

  [ Hu Feng ]
  * debian/control:
    + Add Hu Feng to Uploaders list.
    + Add dde-qt5integration to Depends in dde-calendar package.
  * debian/rules: Update compilation rules
  * debian/patches:
    + Add 0003-fix-lintian-problem-and-enable-icon.patch

  [ Boyuan Yang ]
  * Tighten version for dtk libraries to 5.5.17+.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 08:38:27 -0500

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
  Clay Stan <claystan97@gmail.com>,
+ Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  cmake (>= 3.7),
  debhelper-compat (= 13),
  deepin-gettext-tools,
- libdframeworkdbus-dev (>=5.2.0~),
- libdtkgui-dev,
- libdtkwidget-dev (>=5.2~),
+ libdframeworkdbus-dev (>= 5.4.20~),
+ libdtkgui-dev (>= 5.5.17~),
+ libdtkwidget-dev (>= 5.5.17~),
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
@@ -27,10 +28,13 @@
 Package: dde-calendar
 Architecture: linux-any
 Depends:
+ dde-qt5integration,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  dde-api,
+Provides:
+ deepin-calendar,
 Description: Deepin Calendar
  Deepin Calendar is an easy calendar tool developed by Deepin Technology, main
  features current date, solar terms, lunar calendar and world holidays.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5

%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## dde-calendar 5.8.29

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar)

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")
# Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,--gc-sections")
endif()

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

ADD_SUBDIRECTORY(calendar-basicstruct)
ADD_SUBDIRECTORY(calendar-client)
ADD_SUBDIRECTORY(calendar-service)
ADD_SUBDIRECTORY(schedule-plugin)
ADD_SUBDIRECTORY(tests)

#前后端都有翻译所以将翻译放到更高层级
find_package(Qt5LinguistTools REQUIRED)
#lupdate start
#此处其实只有当没有自动翻译需要手动翻译.ts文件才有意义可以创建不同语言名称的ts文件，下同
set(TS_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/translations/${PROJECT_NAME}_en_US.ts"
)
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_CURRENT_SOURCE_DIR}/calendar-client -ts ${_ts_file})
endforeach()

set(TS_SERVICEFILES
     "${CMAKE_CURRENT_SOURCE_DIR}/translations/${PROJECT_NAME}-service_en_US.ts"
)
foreach(_ts_file ${TS_SERVICEFILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_CURRENT_SOURCE_DIR}/calendar-service -ts ${_ts_file})
endforeach()
#lupdate end

file (GLOB DTNG_TS_FILES translations/*.ts)

#lrelease start
#发布qm文件
find_program(LRELEASE_EXECUTABLE lrelease)
foreach(_ts_file ${DTNG_TS_FILES})
        execute_process(COMMAND ${LRELEASE_EXECUTABLE}   ${_ts_file})
endforeach()
#lrelease end

qt5_create_translation(DTNG_QM_FILES
    ${DTNG_TS_FILES}
     ${DTNG_QM_FILES}
     )
     
 set(CMAKE_INSTALL_PREFIX /usr)
 file(GLOB APP_QM_FILES "translations/*.qm")
 install(FILES ${APP_QM_FILES} DESTINATION share/dde-calendar/translations)

=== calendar-client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
     message(WARNING "Not defined version ,about dialog version set 1.2.2")
    set(VERSION 1.2.2)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "dde-calendar")
set(APP_DESKTOP "${APP_RES_DIR}/dde-calendar.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")
set(APP_SERVICE "${APP_RES_DIR}/dbus/com.deepin.Calendar.service")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")


if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
elseif (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Calendar_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DFrameworkdbus REQUIRED)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
include_directories(../calendar-basicstruct/)
# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${Calendar_SRC} ${APP_QRC})

target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
target_link_libraries(${PROJECT_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    basestruct
)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS dde-calendar DESTINATION bin)

install(DIRECTORY ${APP_RES_DIR}/dde-calendar
        DESTINATION /usr/share/deepin-manual/manual-assets/application/)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)

=== tests/dde-calendar-client-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
#common resource names
project(dde-calendar-client-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

set(APP_CLIENT_DIR "${CMAKE_SOURCE_DIR}/calendar-client")
set(APP_RES_DIR "${APP_CLIENT_DIR}/assets")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")
set(APP_BIN_NAME "dde-calendar-test")
set(PROJECT_NAME_TEST ${APP_BIN_NAME})

find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DFrameworkdbus REQUIRED)
find_package(GTest REQUIRED)
find_package(Qt5Test REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

include_directories(${APP_CLIENT_DIR}/src)

SUBDIRLIST(all_src ${APP_CLIENT_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${APP_CLIENT_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Calendar_SRC ${APP_CLIENT_DIR}/src/*.cpp)
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
list(REMOVE_ITEM Calendar_SRC ${APP_CLIENT_DIR}/src/main.cpp)

#test SRC
SUBDIRLIST(TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(subdir ${TEST_SRC})
    include_directories(${subdir})
endforeach()

file(GLOB_RECURSE Calendar_TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
include_directories(../../calendar-basicstruct/)

list(APPEND CMAKE_MODULE_PATH "${ASAN_CMAKE_DIR}")
include(asan)

# Tell CMake to create the executable
add_executable(${APP_BIN_NAME} ${Calendar_TEST_SRC} ${Calendar_SRC} ${APP_QRC})

target_include_directories(${APP_BIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${APP_BIN_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    Qt5::Test
    pthread
    basestruct
)

=== debian/changelog ===
dde-calendar (5.8.29-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 09 Mar 2022 13:54:37 +0800

dde-calendar (1.0.0-1) stable; urgency=low

  * Autobuild Tag 1.0.0 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 17:34:34 +0000

dde-calendar (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 18 Mar 2016 17:01:43 +0800

## dde-calendar 5.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,12 @@
   # -ffunction-sections
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,--gc-sections")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,--gc-sections")
+endif()
+
+#代码覆盖率开关
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
 endif()
 
 macro(SUBDIRLIST result curdir)

=== calendar-basicstruct/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(basestruct)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
file(GLOB_RECURSE BASESTRUCT_SRCS ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})
add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})

=== calendar-client/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")

=== calendar-service/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar-service)


set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

set(APP_RES_DIR "assets")
set(APP_SERVICE "${APP_RES_DIR}/data/com.deepin.dataserver.Calendar.service")
set(APP_SYSTEMD_SERVICE "${APP_RES_DIR}/data/com.dde.calendarserver.calendar.service")
set(APP_SYSTEMD_TIMER "${APP_RES_DIR}/data/com.dde.calendarserver.calendar.timer")
set(AUTOSTART_DESKTOP "${APP_RES_DIR}/dde-calendar-service.desktop")
set(HUANGLIDB "${APP_RES_DIR}/data/huangli.db")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")


# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql
REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    ${DtkCore_LIBRARIES}
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()
file(GLOB_RECURSE CALENDARSERVICE_SRCS ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
#添加资源文件
QT5_ADD_RESOURCES(CALENDARSERVICE_SRCS ${APP_QRC})

include_directories(../calendar-basicstruct/)

#后端程序自动退出宏控制
add_definitions(-DCALENDAR_SERVICE_AUTO_EXIT)

add_executable(${PROJECT_NAME} ${CALENDARSERVICE_SRCS})

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)
install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services/)
install(FILES ${AUTOSTART_DESKTOP} DESTINATION /etc/xdg/autostart/)
install(FILES ${HUANGLIDB} DESTINATION share/dde-calendar/data/)
install(FILES ${APP_SYSTEMD_SERVICE} DESTINATION lib/systemd/user/)
install(FILES ${APP_SYSTEMD_TIMER} DESTINATION lib/systemd/user/)

=== schedule-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,9 @@
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
 endif()
+
+#安全编译参数
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
 
 macro(SUBDIRLIST result curdir)
     file(GLOB children RELATIVE ${curdir} ${curdir}/*)

=== tests/dde-calendar-client-test/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")
 
 include_directories(${APP_CLIENT_DIR}/src)

=== debian/changelog ===
dde-calendar (5.9.1-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:06 +1100

dde-calendar (5.9.1-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:10:37 +0000

dde-calendar (5.9.1-4) unstable; urgency=medium

  * Team Upload.
  * d/clean: Add translations dir (Closes: #1044295)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Sep 2023 00:06:34 +0530

dde-calendar (5.9.1-3) unstable; urgency=medium

  * debian/rules:
    + remove override_dh_auto_test.
  * debian/patches:
    + Add disable testing patch.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 15:59:09 +0800

dde-calendar (5.9.1-2) unstable; urgency=medium

  * debian/rules:
    + Skip all test.
  * debian/patches:
    + Remove skip CreateJobType_01 test patch.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 14:13:00 +0800

dde-calendar (5.9.1-1) unstable; urgency=medium

  * New upstream release 5.9.1.
  * debian/control:
    + Add new build-dep: libgtest-dev,qttools5-dev.
    + Add new depends: libdframeworkdbus2.
    + Bump Standards-Version to 4.6.1.0.
  * debian/copyright:
    + Update upstream contact.
  * debian/dde-calendar.1:
    + Use upstream manpage.
  * debian/patches:
    + Remove useless patches.
    + Add skip CreateJobType_01 test patch.
  * debian/rules:
    + Add -DCMAKE_SAFETYTEST_ARG.
  * debian/upstream/metadata:
    + Update Bug-Database and Bug-Submit address.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 10:28:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dde-calendar
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -15,12 +16,14 @@
  libdframeworkdbus-dev (>= 5.4.20~),
  libdtkgui-dev (>= 5.5.17~),
  libdtkwidget-dev (>= 5.5.17~),
+ libgtest-dev,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
+ qttools5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
@@ -29,6 +32,7 @@
 Architecture: linux-any
 Depends:
  dde-qt5integration,
+ libdframeworkdbus2,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dde-calendar-$1.tar.gz%" \
   https://github.com/linuxdeepin/dde-calendar/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## dde-calendar 5.9.5

=== calendar-client/CMakeLists.txt ===
--- 
+++ 
@@ -69,13 +69,13 @@
 find_package(DtkWidget REQUIRED)
 find_package(DtkGui REQUIRED)
 find_package(DFrameworkdbus REQUIRED)
+find_package(Qt5Network REQUIRED)
 
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
-include_directories(../calendar-basicstruct/)
 # Tell CMake to create the executable
 add_executable(${PROJECT_NAME} ${Calendar_SRC} ${APP_QRC})
 
-target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
+target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)
 target_link_libraries(${PROJECT_NAME}
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
@@ -84,15 +84,27 @@
     ${Qt5Svg_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${DFrameworkdbus_LIBRARIES}
-    basestruct
+    ${Qt5Network_LIBRARIES}
+    commondata
 )
 
-set(CMAKE_INSTALL_PREFIX /usr)
+#根据环境修改dbus服务文件
+if(DEFINED ENV{PREFIX})
+    set(APP_DBUS_SERVICE "[D-BUS Service]
+Name=com.deepin.Calendar
+Exec=/usr/bin/ll-cli run org.dde.calendar --exec dde-calendar")
+   file(WRITE ${APP_SERVICE} "${APP_DBUS_SERVICE}")
+
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
 
 # Install files
 install(TARGETS dde-calendar DESTINATION bin)
 
 install(DIRECTORY ${APP_RES_DIR}/dde-calendar
-        DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+        DESTINATION  share/deepin-manual/manual-assets/application/)
 install(FILES ${APP_DESKTOP} DESTINATION share/applications)
 install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)

=== tests/dde-calendar-service-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar-service-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(APP_BIN_NAME "dde-calendar-service-test")
set(APP_SERVICE_DIR "${CMAKE_SOURCE_DIR}/calendar-service")
set(APP_SERVICE_RES_DIR "${APP_SERVICE_DIR}/assets")
set(APP_QRC "${APP_SERVICE_RES_DIR}/resources.qrc")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql
REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(GTest REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    ${DtkCore_LIBRARIES}
)

include_directories(${APP_SERVICE_DIR}/src)

SUBDIRLIST(all_src ${APP_SERVICE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${APP_SERVICE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE CALENDARSERVICE_SRCS ${APP_SERVICE_DIR}/src/*.cpp)
include_directories(../../calendar-basicstruct/)
list(REMOVE_ITEM CALENDARSERVICE_SRCS ${APP_SERVICE_DIR}/src/main.cpp)

#test src
SUBDIRLIST(TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(subdir ${TEST_SRC})
    include_directories(${subdir})
endforeach()

set(HL_DATABASE_DIR ${APP_SERVICE_RES_DIR}/data/huangli.db)
set(SD_DATABASE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/scheduler.db)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in config.h @ONLY)

file(GLOB_RECURSE Calendar_Service_TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)

list(APPEND CMAKE_MODULE_PATH "${ASAN_CMAKE_DIR}")
include(asan)

add_executable(${APP_BIN_NAME} ${Calendar_Service_TEST_SRC} ${CALENDARSERVICE_SRCS} ${APP_QRC})

target_link_libraries(${APP_BIN_NAME} 
    ${LINK_LIBS}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    pthread
    basestruct
)

=== debian/changelog ===
dde-calendar (5.9.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 09:31:42 +0800

dde-calendar (5.9.1) unstable; urgency=medium

  * Translation update.

 -- <chenhaifeng@uniontech.com>  Tue, 18 Jun 2022 13:01:43 +0800

dde-calendar (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- <chenhaifeng@uniontech.com>  Fri, 18 Mar 2016 17:01:43 +0800

## dde-calendar 5.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,11 +32,12 @@
     set(${result} ${dirlist})
 endmacro()
 
-ADD_SUBDIRECTORY(calendar-basicstruct)
+ADD_SUBDIRECTORY(3rdparty/kcalendarcore)
+ADD_SUBDIRECTORY(calendar-common)
 ADD_SUBDIRECTORY(calendar-client)
 ADD_SUBDIRECTORY(calendar-service)
 ADD_SUBDIRECTORY(schedule-plugin)
-ADD_SUBDIRECTORY(tests)
+#ADD_SUBDIRECTORY(tests)
 
 #前后端都有翻译所以将翻译放到更高层级
 find_package(Qt5LinguistTools REQUIRED)
@@ -75,6 +76,11 @@
      ${DTNG_QM_FILES}
      )
      
- set(CMAKE_INSTALL_PREFIX /usr)
+if(DEFINED ENV{PREFIX})
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+  
  file(GLOB APP_QM_FILES "translations/*.qm")
  install(FILES ${APP_QM_FILES} DESTINATION share/dde-calendar/translations)

=== DDav/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(kdav)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
aux_source_directory(src KDAV_SRCS)
link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})
add_library(${PROJECT_NAME} STATIC ${KDAV_SRCS})

=== calendar-common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(commondata)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql
REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
aux_source_directory(src BASESTRUCT_SRCS)
aux_source_directory(src/huangliData BASESTRUCT_SRCS_HUANGLI)
link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})

add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS} ${BASESTRUCT_SRCS_HUANGLI})
target_include_directories(${PROJECT_NAME} PUBLIC ../3rdparty/kcalendarcore/src)

target_link_libraries(${PROJECT_NAME}
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    kcalendarcore
    )

=== calendar-service/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
     Qt5::DBus
     Qt5::Sql
     ${DtkCore_LIBRARIES}
+    commondata
+    -lpthread
 )
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
@@ -46,16 +48,37 @@
 #添加资源文件
 QT5_ADD_RESOURCES(CALENDARSERVICE_SRCS ${APP_QRC})
 
-include_directories(../calendar-basicstruct/)
 
 #后端程序自动退出宏控制
+if (NOT (CMAKE_BUILD_TYPE MATCHES Debug))
 add_definitions(-DCALENDAR_SERVICE_AUTO_EXIT)
+endif()
 
 add_executable(${PROJECT_NAME} ${CALENDARSERVICE_SRCS})
 
-target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)
+target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)
 
-set(CMAKE_INSTALL_PREFIX /usr)
+target_link_libraries(${PROJECT_NAME}
+    ${LINK_LIBS}
+    )
+
+#根据环境修改dbus服务文件
+if(DEFINED ENV{PREFIX})
+   set(APP_DBUS_SERVICE
+"[D-BUS Service]
+Name=com.deepin.dataserver.Calendar
+Exec=/usr/bin/ll-cli run  org.dde.calendar --exec  /opt/apps/org.dde.calendar/files/lib/deepin-daemon/dde-calendar-service
+")
+   message("${APP_DBUS_SERVICE}")
+   file(WRITE ${APP_SERVICE} "${APP_DBUS_SERVICE}")
+
+    set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
+add_definitions(-DLINGLONG_PREFIX=\"${CMAKE_INSTALL_PREFIX}/\")
+ 
 
 # Install files
 install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)

=== 3rdparty/kcalendarcore/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(kcalendarcore)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

#set(LibIcal_MIN_VERSION "3.0")
#find_package(ical ${LibIcal_MIN_VERSION})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
pkg_check_modules(3rd_lib REQUIRED
        libical
        )

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src ${3rd_lib_INCLUDE_DIRS})
aux_source_directory(src CALENDARCORE_SRCS)

add_library(${PROJECT_NAME} STATIC ${CALENDARCORE_SRCS})

target_link_libraries(${PROJECT_NAME}
    Qt5::Core
    Qt5::DBus
    Qt5::Gui
    ${3rd_lib_LIBRARIES}
    ${Libical_LIBRARIES}
    icalvcal
    icalss)

=== debian/changelog ===
dde-calendar (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 27 Sep 2022 16:37:26 +0800

=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),
 cmake,
 pkg-config,
 qtbase5-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 qttools5-dev-tools,
 deepin-gettext-tools,
 libdframeworkdbus-dev,
 libgtest-dev,
 qttools5-dev,
 libical-dev,
 libgcrypt20-dev
Standards-Version: 4.3.0
Homepage: http://www.deepin.org
Vcs-Git: https://github.com/linuxdeepin/dde-calendar

Package: dde-calendar
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-api,
 libdframeworkdbus2 (>= 5.3.0.34)
Description: Calendar is a smart daily planner to schedule all things in life.
 Calendar is a small management tool for personal life that combines time 
 and events and integrates the function of memorizing and scheduling.
